package com.netiq.nam.oauth.helpers;

import java.io.IOException;
import java.util.Properties;

/**
 * Created by tsureshkumar on 12/7/14.
 */
public class OAuth2Properties {
    private static Properties properties = null;

    public static Properties get() {
        properties = new Properties();
        try {
            properties.load(OAuth2Properties.class.getResourceAsStream("/oauth.properties"));
        } catch (IOException e) {
            e.printStackTrace();
        }
        return properties;
    }

    public static String tokenInfoEndpoint() {
        return (String) get().get("tokeninfo_endpoint");
    }

    public static String userInfoEndpoint() {
        return (String) get().get("userinfo_endpoint");
    }

    public static String tokenEndPoint() {
        return (String) get().get("token_endpoint");
    }

    public static String clientID() {
        return (String) get().get("client_id");
    }

    public static String clientSecret() {
        return (String) get().get("client_secret");
    }

    public static String authorizationEndpoint() {
        return (String) get().get("authz_endpoint");
    }

    public static String localCacheDir() {
        return (String) get().get("token_disk_cache_dir");
    }
}
