<%@ page language="java" %>
<%@ page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.netiq.nam.oauth.helpers.*" %>
<%@ page import="com.google.api.client.http.GenericUrl" %>

<%
    GenericUrl url = new GenericUrl(request.getRequestURL().toString());
    if (request.getParameter("stepwise") != null)
        url.setRawPath("/oauth2callback_step");
    else
        url.setRawPath("/oauth2callback");

    String redirectUrl = OAuth2Helper.getInstance().buildRedirectionURL(url.build(), session.getId(),"");;
%>

<html>
    <head>
        <link rel="stylesheet" type="text/css" href="css/main.css"/>
        <script src="/scripts/jquery-1.11.1.min.js"></script>
    </head>
    <body>
            <div class="container">
            <form>
                <input id="text-scopes" type="text" value="profile email"/>

                <div>
                    <button id="update-scopes" class="btn btn-default">Add Scopes</button>
                </div>

                <a href='<%=redirectUrl%>' id='authz_url'>Get Authorization code</a>
            </form>
            </div>
            <script>
                        function queryStringToJSON(qs) {
                            var pairs = qs.slice(1).split('&');

                            var result = {};
                            pairs.forEach(function(pair) {
                                pair = pair.split('=');
                                result[pair[0]] = decodeURIComponent(pair[1] || '');
                            });

                            return JSON.parse(JSON.stringify(result));
                        }


                         $('#update-scopes').on('click', function(event) {
                            event.preventDefault();
                            var checkedItems = [], counter = 0;
                            var scopeQ = undefined;

                            if(scopeQ)
                            scopeQ += " " + $('#text-scopes').val();
                            else
                            scopeQ = $('#text-scopes').val();

                            //$('#display-json').html($.param({"scope":scopeQ}));
                            var qs = queryStringToJSON($('#authz_url')[0].search)
                            qs.scope = scopeQ;
                            $('#authz_url')[0].search = $.param(qs)
                            //$('#display-json').html($('#authz_url')[0].href);
                        });

            </script>
    </body>
</html>
